Summary: 	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name: 		nasm-devel
Version: 	0.98.39
Release: 	cvs
Copyright: 	LGPL
Group: 		Development
Source: 	nasm.tar.bz2
URL: 		http://nasm.sourceforge.net/
BuildRoot: 	/tmp/rpm-build-nasm
Prefix: 	/usr
Provides:       nasm

%description
cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/nasm co nasm

NASM is an 80x86 assembler designed for portability and modularity. It
supports a range of object file formats including Linux a.out and ELF,
COFF, Microsoft 16-bit OBJ and Win32. It will also output plain binary
files. Its syntax is designed to be simple and easy to understand,
similar to Intel's but less complex. It supports Pentium, P6 and MMX
opcodes, and has macro capability. It includes a disassembler as well.

%prep
%setup -q -n nasm

%build
rm -f missing
autoheader
aclocal -I /usr/share/aclocal
libtoolize --copy --force
aclocal
autoconf
%configure
make everything

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/bin
mkdir -p "$RPM_BUILD_ROOT"/usr/man/man1
mkdir -p "$RPM_BUILD_ROOT"/%{_infodir}
DOC="$RPM_BUILD_ROOT"/usr/doc/nasm-%{version}
mkdir -p "$DOC"
mkdir -p "$DOC"/rdoff
rm -f "$RPM_BUILD_ROOT"/usr/info/nasm.*
make INSTALLROOT="$RPM_BUILD_ROOT" \
	docdir=/usr/doc/nasm-%{version} \
	infodir=%{_infodir} \
	install_everything
gzip -9 "$RPM_BUILD_ROOT"/%{_infodir}/nasm.*
gzip -9 "$DOC"/*.txt "$DOC"/*.ps "$DOC"/*.pdf

cp AUTHORS CHANGES COPYING README TODO doc/*.doc "$DOC"
cp rdoff/README "$DOC"/rdoff
cp rdoff/doc/{*.txt,*.texi} "$DOC"/rdoff

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
/usr/bin
/usr/man
